Can we install multiple versions on a single machine with version 9.2.205?

Can we install multiple versions on a single machine with version 9.2.205?

Postby John Liu » Thu 09 Feb 2017 17:52

We always want to install multiple versions of dotConnect for Oracle on a single development machine. Our released products use older version of dotConnect for Oracle. Our new release want to use the latest version of dotConnect for Oracle. This was not possible since only one version of dotConnect for Oracle can be installed on one machine. Every time we upgrade dotConnect for Oracle, we have to test our current and previous released products. It seems like you guys resolved this problem in version 9.2.205. Please correct me if my understanding is wrong.

The current build is 9.2.205 from 09-Feb-2017
The 'Do not install assemblies in the GAC' check box that allows disabling placing the provider assemblies to the GAC is added to the Install Wizard

thanks
JLIU
John Liu
 
Posts: 60
Joined: Wed 14 Nov 2012 20:58

Re: Can we install multiple versions on a single machine with version 9.2.205?

Postby Pinturiccio » Mon 13 Feb 2017 17:24

John Liu wrote:The 'Do not install assemblies in the GAC' check box that allows disabling placing the provider assemblies to the GAC is added to the Install Wizard

This change allows you to omit installing assemblies to the GAC, but it doesn’t change anything related to installing several dotConnect for Oracle versions on the same computer.

You can install different versions of dotConnect for Oracle on the same computer at the same time.

We do not recommend to install several versions of dotConnect for Oracle in the development environment because design time will not work correctly in this situation.

In order to install several dotConnect for Oracle versions to one computer, please perform the following actions:
1) delete the HKEY_LOCAL_MACHINE\SOFTWARE\Devart\Installed Products\dotConnect\Net2\Oracle key for x86 operating system and HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Devart\Installed Products\dotConnect\Net2\Oracle key for x64 operating system before each new provider installation;
2) be aware that each dotConnect for Oracle installation package places the policy.*.Devart.* files to GAC. If you use several versions of our provider, you should remove these policy files from your GAC.
Pinturiccio
Devart Team
 
Posts: 1928
Joined: Wed 02 Nov 2011 09:44

Re: Can we install multiple versions on a single machine with version 9.2.205?

Postby John Liu » Mon 13 Feb 2017 21:21

Thanks for the reply!
Do you have a recommendation for our use case?
For our already released software, we want to continue using the old dotConnect oracle driver. We want to start to use the latest drivers for our new releases. Our development and build machines need to handle multiple versions of dotConnect.

Thanks
John
John Liu
 
Posts: 60
Joined: Wed 14 Nov 2012 20:58

Re: Can we install multiple versions on a single machine with version 9.2.205?

Postby Shalex » Tue 14 Feb 2017 17:31

When two provider versions are installed, you can try to use only runtime of the previous version and runtime/design time of the new version (in the way described in our previous reply). We recommend using only one version in the development environment.
Shalex
Devart Team
 
Posts: 7530
Joined: Thu 14 Aug 2008 12:44


Return to dotConnect for Oracle